Capabilities By Location - Execute

Lists the capabilities available in a given location for a specific subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DBforPostgreSQL/locations/{locationName}/capabilities?api-version=2024-08-01

URI Parameters

Name In Required Type Description
locationName
path True

string

minLength: 1
pattern: ^[-\w\._]+$

The name of the location.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CapabilitiesListResult

OK

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Microsoft Entra OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List the capabilities available in a given location for a specific subscription.

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/capabilities?api-version=2024-08-01

Sample response

{
  "value": [
    {
      "name": "FlexibleServerCapabilities",
      "supportedServerEditions": [
        {
          "name": "Burstable",
          "defaultSkuName": "Standard_B1ms",
          "supportedStorageEditions": [
            {
              "name": "ManagedDisk",
              "defaultStorageSizeMb": 32768,
              "supportedStorageMb": [
                {
                  "supportedIops": 120,
                  "storageSizeMb": 32768,
                  "defaultIopsTier": "P4",
                  "supportedIopsTiers": [
                    {
                      "name": "P4",
                      "iops": 120
                    },
                    {
                      "name": "P6",
                      "iops": 240
                    },
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 240,
                  "storageSizeMb": 65536,
                  "defaultIopsTier": "P6",
                  "supportedIopsTiers": [
                    {
                      "name": "P6",
                      "iops": 240
                    },
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 500,
                  "storageSizeMb": 131072,
                  "defaultIopsTier": "P10",
                  "supportedIopsTiers": [
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 1100,
                  "storageSizeMb": 262144,
                  "defaultIopsTier": "P15",
                  "supportedIopsTiers": [
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 2300,
                  "storageSizeMb": 524288,
                  "defaultIopsTier": "P20",
                  "supportedIopsTiers": [
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 5000,
                  "storageSizeMb": 1048576,
                  "defaultIopsTier": "P30",
                  "supportedIopsTiers": [
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 2097152,
                  "defaultIopsTier": "P40",
                  "supportedIopsTiers": [
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 4193280,
                  "defaultIopsTier": "P50",
                  "supportedIopsTiers": [
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 4194304,
                  "defaultIopsTier": "P50",
                  "supportedIopsTiers": [
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 16000,
                  "storageSizeMb": 8388608,
                  "defaultIopsTier": "P60",
                  "supportedIopsTiers": [
                    {
                      "name": "P60",
                      "iops": 16000
                    },
                    {
                      "name": "P70",
                      "iops": 18000
                    },
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                },
                {
                  "supportedIops": 18000,
                  "storageSizeMb": 16777216,
                  "defaultIopsTier": "P70",
                  "supportedIopsTiers": [
                    {
                      "name": "P70",
                      "iops": 18000
                    },
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                },
                {
                  "supportedIops": 20000,
                  "storageSizeMb": 33553408,
                  "defaultIopsTier": "P80",
                  "supportedIopsTiers": [
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                }
              ]
            },
            {
              "name": "ManagedDiskV2",
              "defaultStorageSizeMb": 32768,
              "supportedStorageMb": [
                {
                  "supportedIops": 3000,
                  "supportedMaximumIops": 80000,
                  "storageSizeMb": 32768,
                  "maximumStorageSizeMb": 67108864,
                  "supportedThroughput": 125,
                  "supportedMaximumThroughput": 1200,
                  "defaultIopsTier": "None",
                  "supportedIopsTiers": [
                    {
                      "name": "None",
                      "iops": 0
                    }
                  ]
                }
              ]
            }
          ],
          "supportedServerSkus": [
            {
              "name": "Standard_B1ms",
              "vCores": 1,
              "supportedIops": 640,
              "supportedMemoryPerVcoreMb": 2048,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B2s",
              "vCores": 2,
              "supportedIops": 1280,
              "supportedMemoryPerVcoreMb": 2048,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B2ms",
              "vCores": 2,
              "supportedIops": 1920,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B4ms",
              "vCores": 4,
              "supportedIops": 2880,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B8ms",
              "vCores": 8,
              "supportedIops": 4320,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B12ms",
              "vCores": 12,
              "supportedIops": 4320,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B16ms",
              "vCores": 16,
              "supportedIops": 4320,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_B20ms",
              "vCores": 20,
              "supportedIops": 4320,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            }
          ]
        },
        {
          "name": "GeneralPurpose",
          "defaultSkuName": "Standard_D4ads_v5",
          "supportedStorageEditions": [
            {
              "name": "ManagedDisk",
              "defaultStorageSizeMb": 65536,
              "supportedStorageMb": [
                {
                  "supportedIops": 120,
                  "storageSizeMb": 32768,
                  "defaultIopsTier": "P4",
                  "supportedIopsTiers": [
                    {
                      "name": "P4",
                      "iops": 120
                    },
                    {
                      "name": "P6",
                      "iops": 240
                    },
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 240,
                  "storageSizeMb": 65536,
                  "defaultIopsTier": "P6",
                  "supportedIopsTiers": [
                    {
                      "name": "P6",
                      "iops": 240
                    },
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 500,
                  "storageSizeMb": 131072,
                  "defaultIopsTier": "P10",
                  "supportedIopsTiers": [
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 1100,
                  "storageSizeMb": 262144,
                  "defaultIopsTier": "P15",
                  "supportedIopsTiers": [
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 2300,
                  "storageSizeMb": 524288,
                  "defaultIopsTier": "P20",
                  "supportedIopsTiers": [
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 5000,
                  "storageSizeMb": 1048576,
                  "defaultIopsTier": "P30",
                  "supportedIopsTiers": [
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 2097152,
                  "defaultIopsTier": "P40",
                  "supportedIopsTiers": [
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 4193280,
                  "defaultIopsTier": "P50",
                  "supportedIopsTiers": [
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 4194304,
                  "defaultIopsTier": "P50",
                  "supportedIopsTiers": [
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 16000,
                  "storageSizeMb": 8388608,
                  "defaultIopsTier": "P60",
                  "supportedIopsTiers": [
                    {
                      "name": "P60",
                      "iops": 16000
                    },
                    {
                      "name": "P70",
                      "iops": 18000
                    },
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                },
                {
                  "supportedIops": 18000,
                  "storageSizeMb": 16777216,
                  "defaultIopsTier": "P70",
                  "supportedIopsTiers": [
                    {
                      "name": "P70",
                      "iops": 18000
                    },
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                },
                {
                  "supportedIops": 20000,
                  "storageSizeMb": 33553408,
                  "defaultIopsTier": "P80",
                  "supportedIopsTiers": [
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                }
              ]
            },
            {
              "name": "ManagedDiskV2",
              "defaultStorageSizeMb": 65536,
              "supportedStorageMb": [
                {
                  "supportedIops": 3000,
                  "supportedMaximumIops": 80000,
                  "storageSizeMb": 32768,
                  "maximumStorageSizeMb": 67108864,
                  "supportedThroughput": 125,
                  "supportedMaximumThroughput": 1200,
                  "defaultIopsTier": "None",
                  "supportedIopsTiers": [
                    {
                      "name": "None",
                      "iops": 0
                    }
                  ]
                }
              ]
            }
          ],
          "supportedServerSkus": [
            {
              "name": "Standard_D2s_v3",
              "vCores": 2,
              "supportedIops": 3200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D4s_v3",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D8s_v3",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D16s_v3",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D32s_v3",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D48s_v3",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D64s_v3",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D2ds_v4",
              "vCores": 2,
              "supportedIops": 3200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D4ds_v4",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D8ds_v4",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D16ds_v4",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D32ds_v4",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D48ds_v4",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D64ds_v4",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D2ads_v5",
              "vCores": 2,
              "supportedIops": 3200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D4ads_v5",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D8ads_v5",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D16ads_v5",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D32ads_v5",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D48ads_v5",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D64ads_v5",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D96ads_v5",
              "vCores": 96,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D2ds_v5",
              "vCores": 2,
              "supportedIops": 3750,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D4ds_v5",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D8ds_v5",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D16ds_v5",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D32ds_v5",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D48ds_v5",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D64ds_v5",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_D96ds_v5",
              "vCores": 96,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 4096,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            }
          ]
        },
        {
          "name": "MemoryOptimized",
          "defaultSkuName": "Standard_E4ads_v5",
          "supportedStorageEditions": [
            {
              "name": "ManagedDisk",
              "defaultStorageSizeMb": 131072,
              "supportedStorageMb": [
                {
                  "supportedIops": 120,
                  "storageSizeMb": 32768,
                  "defaultIopsTier": "P4",
                  "supportedIopsTiers": [
                    {
                      "name": "P4",
                      "iops": 120
                    },
                    {
                      "name": "P6",
                      "iops": 240
                    },
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 240,
                  "storageSizeMb": 65536,
                  "defaultIopsTier": "P6",
                  "supportedIopsTiers": [
                    {
                      "name": "P6",
                      "iops": 240
                    },
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 500,
                  "storageSizeMb": 131072,
                  "defaultIopsTier": "P10",
                  "supportedIopsTiers": [
                    {
                      "name": "P10",
                      "iops": 500
                    },
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 1100,
                  "storageSizeMb": 262144,
                  "defaultIopsTier": "P15",
                  "supportedIopsTiers": [
                    {
                      "name": "P15",
                      "iops": 1100
                    },
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 2300,
                  "storageSizeMb": 524288,
                  "defaultIopsTier": "P20",
                  "supportedIopsTiers": [
                    {
                      "name": "P20",
                      "iops": 2300
                    },
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 5000,
                  "storageSizeMb": 1048576,
                  "defaultIopsTier": "P30",
                  "supportedIopsTiers": [
                    {
                      "name": "P30",
                      "iops": 5000
                    },
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 2097152,
                  "defaultIopsTier": "P40",
                  "supportedIopsTiers": [
                    {
                      "name": "P40",
                      "iops": 7500
                    },
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 4193280,
                  "defaultIopsTier": "P50",
                  "supportedIopsTiers": [
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 7500,
                  "storageSizeMb": 4194304,
                  "defaultIopsTier": "P50",
                  "supportedIopsTiers": [
                    {
                      "name": "P50",
                      "iops": 7500
                    }
                  ]
                },
                {
                  "supportedIops": 16000,
                  "storageSizeMb": 8388608,
                  "defaultIopsTier": "P60",
                  "supportedIopsTiers": [
                    {
                      "name": "P60",
                      "iops": 16000
                    },
                    {
                      "name": "P70",
                      "iops": 18000
                    },
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                },
                {
                  "supportedIops": 18000,
                  "storageSizeMb": 16777216,
                  "defaultIopsTier": "P70",
                  "supportedIopsTiers": [
                    {
                      "name": "P70",
                      "iops": 18000
                    },
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                },
                {
                  "supportedIops": 20000,
                  "storageSizeMb": 33553408,
                  "defaultIopsTier": "P80",
                  "supportedIopsTiers": [
                    {
                      "name": "P80",
                      "iops": 20000
                    }
                  ]
                }
              ]
            },
            {
              "name": "ManagedDiskV2",
              "defaultStorageSizeMb": 131072,
              "supportedStorageMb": [
                {
                  "supportedIops": 3000,
                  "supportedMaximumIops": 80000,
                  "storageSizeMb": 32768,
                  "maximumStorageSizeMb": 67108864,
                  "supportedThroughput": 125,
                  "supportedMaximumThroughput": 1200,
                  "defaultIopsTier": "None",
                  "supportedIopsTiers": [
                    {
                      "name": "None",
                      "iops": 0
                    }
                  ]
                }
              ]
            }
          ],
          "supportedServerSkus": [
            {
              "name": "Standard_E2s_v3",
              "vCores": 2,
              "supportedIops": 3200,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E4s_v3",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E8s_v3",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E16s_v3",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E32s_v3",
              "vCores": 32,
              "supportedIops": 32000,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E48s_v3",
              "vCores": 48,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E64s_v3",
              "vCores": 64,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 6912,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E2ds_v4",
              "vCores": 2,
              "supportedIops": 3200,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E4ds_v4",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E8ds_v4",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E16ds_v4",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E20ds_v4",
              "vCores": 20,
              "supportedIops": 32000,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E32ds_v4",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E48ds_v4",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E64ds_v4",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 6912,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E2ads_v5",
              "vCores": 2,
              "supportedIops": 3750,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E4ads_v5",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E8ads_v5",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E16ads_v5",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E20ads_v5",
              "vCores": 20,
              "supportedIops": 32000,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E32ads_v5",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E48ads_v5",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E64ads_v5",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E96ads_v5",
              "vCores": 96,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 7168,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E2ds_v5",
              "vCores": 2,
              "supportedIops": 3750,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E4ds_v5",
              "vCores": 4,
              "supportedIops": 6400,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E8ds_v5",
              "vCores": 8,
              "supportedIops": 12800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E16ds_v5",
              "vCores": 16,
              "supportedIops": 25600,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E20ds_v5",
              "vCores": 20,
              "supportedIops": 32000,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E32ds_v5",
              "vCores": 32,
              "supportedIops": 51200,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E48ds_v5",
              "vCores": 48,
              "supportedIops": 76800,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E64ds_v5",
              "vCores": 64,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 8192,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            },
            {
              "name": "Standard_E96ds_v5",
              "vCores": 96,
              "supportedIops": 80000,
              "supportedMemoryPerVcoreMb": 7168,
              "supportedZones": [
                "1",
                "2",
                "3"
              ],
              "supportedHaMode": [
                "SameZone",
                "ZoneRedundant"
              ]
            }
          ]
        }
      ],
      "supportedServerVersions": [
        {
          "name": "11",
          "supportedVersionsToUpgrade": [
            "12",
            "13",
            "14",
            "15",
            "16"
          ]
        },
        {
          "name": "12",
          "supportedVersionsToUpgrade": [
            "13",
            "14",
            "15",
            "16"
          ]
        },
        {
          "name": "13",
          "supportedVersionsToUpgrade": [
            "14",
            "15",
            "16"
          ]
        },
        {
          "name": "14",
          "supportedVersionsToUpgrade": [
            "15",
            "16"
          ]
        },
        {
          "name": "15",
          "supportedVersionsToUpgrade": [
            "16"
          ]
        },
        {
          "name": "16",
          "supportedVersionsToUpgrade": []
        }
      ],
      "fastProvisioningSupported": "Enabled",
      "supportedFastProvisioningEditions": [
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b1ms",
          "supportedStorageGb": 32,
          "supportedServerVersions": "12",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b2s",
          "supportedStorageGb": 32,
          "supportedServerVersions": "12",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2s_v3",
          "supportedStorageGb": 128,
          "supportedServerVersions": "12",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2ds_v4",
          "supportedStorageGb": 128,
          "supportedServerVersions": "12",
          "serverCount": 0
        },
        {
          "supportedTier": "MemoryOptimized",
          "supportedSku": "standard_e2ds_v4",
          "supportedStorageGb": 512,
          "supportedServerVersions": "12",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b1ms",
          "supportedStorageGb": 32,
          "supportedServerVersions": "13",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b2s",
          "supportedStorageGb": 32,
          "supportedServerVersions": "13",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2s_v3",
          "supportedStorageGb": 128,
          "supportedServerVersions": "13",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2ds_v4",
          "supportedStorageGb": 128,
          "supportedServerVersions": "13",
          "serverCount": 0
        },
        {
          "supportedTier": "MemoryOptimized",
          "supportedSku": "standard_e2ds_v4",
          "supportedStorageGb": 512,
          "supportedServerVersions": "13",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b1ms",
          "supportedStorageGb": 32,
          "supportedServerVersions": "14",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b2s",
          "supportedStorageGb": 32,
          "supportedServerVersions": "14",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2s_v3",
          "supportedStorageGb": 128,
          "supportedServerVersions": "14",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2ds_v4",
          "supportedStorageGb": 128,
          "supportedServerVersions": "14",
          "serverCount": 0
        },
        {
          "supportedTier": "MemoryOptimized",
          "supportedSku": "standard_e2ds_v4",
          "supportedStorageGb": 512,
          "supportedServerVersions": "14",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b1ms",
          "supportedStorageGb": 32,
          "supportedServerVersions": "15",
          "serverCount": 0
        },
        {
          "supportedTier": "Burstable",
          "supportedSku": "standard_b2s",
          "supportedStorageGb": 32,
          "supportedServerVersions": "15",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2s_v3",
          "supportedStorageGb": 128,
          "supportedServerVersions": "15",
          "serverCount": 0
        },
        {
          "supportedTier": "GeneralPurpose",
          "supportedSku": "standard_d2ds_v4",
          "supportedStorageGb": 128,
          "supportedServerVersions": "15",
          "serverCount": 0
        },
        {
          "supportedTier": "MemoryOptimized",
          "supportedSku": "standard_e2ds_v4",
          "supportedStorageGb": 512,
          "supportedServerVersions": "15",
          "serverCount": 0
        }
      ],
      "geoBackupSupported": "Enabled",
      "zoneRedundantHaSupported": "Enabled",
      "zoneRedundantHaAndGeoBackupSupported": "Enabled",
      "storageAutoGrowthSupported": "Enabled",
      "onlineResizeSupported": "Enabled",
      "restricted": "Disabled"
    }
  ]
}

Definitions

Name Description
CapabilitiesListResult

Capability for the Azure Database for PostgreSQL flexible server.

CapabilityStatus

The status of the capability.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FastProvisioningEditionCapability

Capability of a fast provisioning compute tier.

fastProvisioningSupportedEnum

Indicates if fast provisioning is supported. "Enabled" means fast provisioning is supported. "Disabled" stands for fast provisioning is not supported.

FlexibleServerCapability

Capability for the Azure Database for PostgreSQL flexible server.

FlexibleServerEditionCapability

Capabilities in terms of compute tier.

geoBackupSupportedEnum

Indicates if geographically redundant backups are supported in this location. "Enabled" means geographically redundant backups are supported. "Disabled" stands for geographically redundant backup is not supported.

HaMode

Modes of high availability supported for this compute.

onlineResizeSupportedEnum

Indicates if resizing the storage without interrupting the operation of the database engine is supported in this location for the given subscription. "Enabled" means resizing the storage without interrupting the operation of the database engine is supported. "Disabled" means resizing the storage without interrupting the operation of the database engine is not supported.

restrictedEnum

Indicates if this location is restricted. "Enabled" means location is restricted. "Disabled" stands for location is not restricted.

ServerSkuCapability

Capabilities in terms of compute.

ServerVersionCapability

Capabilities in terms of major versions of PostgreSQL database engine.

storageAutoGrowthSupportedEnum

Indicates if storage autogrow is supported in this location. "Enabled" means storage autogrow is supported. "Disabled" stands for storage autogrow is not supported.

StorageEditionCapability

Capabilities in terms of storage tier.

StorageMbCapability

Storage size (in MB) capability.

StorageTierCapability

Capability of a storage tier.

zoneRedundantHaAndGeoBackupSupportedEnum

Indicates if high availability with zone redundancy is supported in conjunction with geographically redundant backups in this location. "Enabled" means high availability with zone redundancy is supported in conjunction with geographically redundant backups is supported. "Disabled" stands for high availability with zone redundancy is supported in conjunction with geographically redundant backups is not supported.

zoneRedundantHaSupportedEnum

Indicates if high availability with zone redundancy is supported in this location. "Enabled" means high availability with zone redundancy is supported. "Disabled" stands for high availability with zone redundancy is not supported.

CapabilitiesListResult

Capability for the Azure Database for PostgreSQL flexible server.

Name Type Description
nextLink

string

Link to retrieve next page of results.

value

FlexibleServerCapability[]

List of supported capabilities.

CapabilityStatus

The status of the capability.

Value Description
Visible
Available
Default
Disabled

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FastProvisioningEditionCapability

Capability of a fast provisioning compute tier.

Name Type Description
reason

string

The reason for the capability not being available.

serverCount

integer (int32)

Count of servers in cache matching this specification.

status

CapabilityStatus

The status of the capability.

supportedServerVersions

string

Major version of PostgreSQL database engine supporting fast provisioning.

supportedSku

string

Compute name (SKU) supporting fast provisioning.

supportedStorageGb

integer (int32)

Storage size (in GB) supporting fast provisioning.

supportedTier

string

Compute tier supporting fast provisioning.

fastProvisioningSupportedEnum

Indicates if fast provisioning is supported. "Enabled" means fast provisioning is supported. "Disabled" stands for fast provisioning is not supported.

Value Description
Enabled
Disabled

FlexibleServerCapability

Capability for the Azure Database for PostgreSQL flexible server.

Name Type Description
fastProvisioningSupported

fastProvisioningSupportedEnum

Indicates if fast provisioning is supported. "Enabled" means fast provisioning is supported. "Disabled" stands for fast provisioning is not supported.

geoBackupSupported

geoBackupSupportedEnum

Indicates if geographically redundant backups are supported in this location. "Enabled" means geographically redundant backups are supported. "Disabled" stands for geographically redundant backup is not supported.

name

string

Name of flexible servers capabilities.

onlineResizeSupported

onlineResizeSupportedEnum

Indicates if resizing the storage without interrupting the operation of the database engine is supported in this location for the given subscription. "Enabled" means resizing the storage without interrupting the operation of the database engine is supported. "Disabled" means resizing the storage without interrupting the operation of the database engine is not supported.

reason

string

The reason for the capability not being available.

restricted

restrictedEnum

Indicates if this location is restricted. "Enabled" means location is restricted. "Disabled" stands for location is not restricted.

status

CapabilityStatus

The status of the capability.

storageAutoGrowthSupported

storageAutoGrowthSupportedEnum

Indicates if storage autogrow is supported in this location. "Enabled" means storage autogrow is supported. "Disabled" stands for storage autogrow is not supported.

supportedFastProvisioningEditions

FastProvisioningEditionCapability[]

List of compute tiers supporting fast provisioning.

supportedServerEditions

FlexibleServerEditionCapability[]

List of supported compute tiers.

supportedServerVersions

ServerVersionCapability[]

List of supported major versions of PostgreSQL database engine.

zoneRedundantHaAndGeoBackupSupported

zoneRedundantHaAndGeoBackupSupportedEnum

Indicates if high availability with zone redundancy is supported in conjunction with geographically redundant backups in this location. "Enabled" means high availability with zone redundancy is supported in conjunction with geographically redundant backups is supported. "Disabled" stands for high availability with zone redundancy is supported in conjunction with geographically redundant backups is not supported.

zoneRedundantHaSupported

zoneRedundantHaSupportedEnum

Indicates if high availability with zone redundancy is supported in this location. "Enabled" means high availability with zone redundancy is supported. "Disabled" stands for high availability with zone redundancy is not supported.

FlexibleServerEditionCapability

Capabilities in terms of compute tier.

Name Type Description
defaultSkuName

string

Default compute name (SKU) for this computer tier.

name

string

Name of compute tier.

reason

string

The reason for the capability not being available.

status

CapabilityStatus

The status of the capability.

supportedServerSkus

ServerSkuCapability[]

List of supported compute names (SKUs).

supportedStorageEditions

StorageEditionCapability[]

List of storage editions supported by this compute tier and compute name.

geoBackupSupportedEnum

Indicates if geographically redundant backups are supported in this location. "Enabled" means geographically redundant backups are supported. "Disabled" stands for geographically redundant backup is not supported.

Value Description
Enabled
Disabled

HaMode

Modes of high availability supported for this compute.

Value Description
SameZone
ZoneRedundant

onlineResizeSupportedEnum

Indicates if resizing the storage without interrupting the operation of the database engine is supported in this location for the given subscription. "Enabled" means resizing the storage without interrupting the operation of the database engine is supported. "Disabled" means resizing the storage without interrupting the operation of the database engine is not supported.

Value Description
Enabled
Disabled

restrictedEnum

Indicates if this location is restricted. "Enabled" means location is restricted. "Disabled" stands for location is not restricted.

Value Description
Enabled
Disabled

ServerSkuCapability

Capabilities in terms of compute.

Name Type Description
name

string

Name of the compute (SKU).

reason

string

The reason for the capability not being available.

status

CapabilityStatus

The status of the capability.

supportedHaMode

HaMode[]

Modes of high availability supported for this compute.

supportedIops

integer (int32)

Maximum IOPS supported by this compute.

supportedMemoryPerVcoreMb

integer (int64)

Supported memory (in MB) per virtual core assigned to this compute.

supportedZones

string[]

List of supported availability zones. E.g. "1", "2", "3"

vCores

integer (int32)

Number of virtual cores available for this compute.

ServerVersionCapability

Capabilities in terms of major versions of PostgreSQL database engine.

Name Type Description
name

string

Major version of PostgreSQL database engine.

reason

string

The reason for the capability not being available.

status

CapabilityStatus

The status of the capability.

supportedVersionsToUpgrade

string[]

Major versions of PostgreSQL database engine to which this version can be automatically upgraded.

storageAutoGrowthSupportedEnum

Indicates if storage autogrow is supported in this location. "Enabled" means storage autogrow is supported. "Disabled" stands for storage autogrow is not supported.

Value Description
Enabled
Disabled

StorageEditionCapability

Capabilities in terms of storage tier.

Name Type Description
defaultStorageSizeMb

integer (int64)

Default storage size (in MB) for this storage tier.

name

string

Name of storage tier.

reason

string

The reason for the capability not being available.

status

CapabilityStatus

The status of the capability.

supportedStorageMb

StorageMbCapability[]

Configurations of storage supported for this storage tier.

StorageMbCapability

Storage size (in MB) capability.

Name Type Description
defaultIopsTier

string

Default IOPS for this tier and storage size.

maximumStorageSizeMb

integer (int64)

Maximum supported size (in MB) of storage.

reason

string

The reason for the capability not being available.

status

CapabilityStatus

The status of the capability.

storageSizeMb

integer (int64)

Minimum supported size (in MB) of storage.

supportedIops

integer (int32)

Minimum IOPS supported by the storage size.

supportedIopsTiers

StorageTierCapability[]

List of all supported storage tiers for this tier and storage size.

supportedMaximumIops

integer (int32)

Maximum IOPS supported by the storage size.

supportedMaximumThroughput

integer (int32)

Maximum supported throughput (in MB/s) of storage.

supportedThroughput

integer (int32)

Minimum supported throughput (in MB/s) of storage.

StorageTierCapability

Capability of a storage tier.

Name Type Description
iops

integer (int32)

Supported IOPS for the storage tier.

name

string

Name of the storage tier.

reason

string

The reason for the capability not being available.

status

CapabilityStatus

The status of the capability.

zoneRedundantHaAndGeoBackupSupportedEnum

Indicates if high availability with zone redundancy is supported in conjunction with geographically redundant backups in this location. "Enabled" means high availability with zone redundancy is supported in conjunction with geographically redundant backups is supported. "Disabled" stands for high availability with zone redundancy is supported in conjunction with geographically redundant backups is not supported.

Value Description
Enabled
Disabled

zoneRedundantHaSupportedEnum

Indicates if high availability with zone redundancy is supported in this location. "Enabled" means high availability with zone redundancy is supported. "Disabled" stands for high availability with zone redundancy is not supported.

Value Description
Enabled
Disabled